=== debian/changelog ===
jattach (1.5-2) unstable; urgency=medium

  * Pass on CPPFLAGS and LDFLAGS as well at build time.
    Refreshed in d/patches/do-not-override-CFLAGS
  * Source-only upload to unstable to allow testing migration.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 13 Sep 2019 16:52:23 +0200

jattach (1.5-1) unstable; urgency=medium

  * Initial release (Closes: #939577)

 -- Sven Hoexter <hoexter@debian.org>  Thu, 22 Aug 2019 17:33:50 +0200
