=== debian/control ===
Source: jattach
Section: java
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper-compat (=12)
Standards-Version: 4.4.0
Homepage: https://github.com/apangin/jattach
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/jattach.git
Vcs-Git: https://git.sven.stormbind.net/jattach.git

Package: jattach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JVM Dynamic Attach utility all in one jmap jstack jcmd jinfo
 jattach is a utility implementing commands for the JVM Dynamic Attach
 mechanism. Instead of installing a complete JDK you can use this small
 utility to query information from your running JVM.
