=== debian/changelog ===
jattach (2.0-1) unstable; urgency=medium

  * New upstream release.
    + Adds OpenJ9 support.
    + Improves namespace awareness.
  * Drop debian/patches/do-not-override-CFLAGS - fixed upstream.
  * Update Standards-Version to 4.5.1 - no changes required.
  * Raise debhelper-compat level from 12 to 13.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 16 Aug 2021 20:06:29 +0200
