=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: java
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
-Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (=13)
+Standards-Version: 4.5.1
 Homepage: https://github.com/apangin/jattach
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/jattach.git
 Vcs-Git: https://git.sven.stormbind.net/jattach.git
