## jattach 2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-JATTACH_VERSION=2.0
+JATTACH_VERSION=2.1
 
 ifneq ($(findstring Windows,$(OS)),)
   CL=cl.exe
@@ -6,13 +6,14 @@
   JATTACH_EXE=jattach.exe
   JATTACH_DLL=jattach.dll
 else 
-  CFLAGS ?= -O3
   JATTACH_EXE=jattach
 
   UNAME_S:=$(shell uname -s)
   ifeq ($(UNAME_S),Darwin)
+    CFLAGS ?= -O3 -arch x86_64 -arch arm64 -mmacos-version-min=10.12
     JATTACH_DLL=libjattach.dylib
   else
+    CFLAGS ?= -O3
     JATTACH_DLL=libjattach.so
   endif
 
@@ -38,7 +39,7 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DJATTACH_VERSION=\"$(JATTACH_VERSION)\" -o $@ src/posix/*.c
 
 build/$(JATTACH_DLL): src/posix/*.c src/posix/*.h
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DJATTACH_VERSION=\"$(JATTACH_VERSION)\" -fPIC -shared -fvisibility=hidden -o $@ src/posix/*.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIC -shared -fvisibility=hidden -o $@ src/posix/*.c
 
 build/jattach.exe: src/windows/jattach.c
 	$(CL) $(CFLAGS) /DJATTACH_VERSION=\"$(JATTACH_VERSION)\" /Fobuild/jattach.obj /Fe$@ $^ advapi32.lib /link /SUBSYSTEM:CONSOLE,5.02
