=== debian/changelog ===
jattach (2.1-1) unstable; urgency=medium

  [ Sven Hoexter ]
  * New upstream release.
  * Update Standards-Version to 4.6.1 - no changes required.
  * Drop additional LDFLAGS -Wl,--as-needed.
  * Update dates to 2022 in debian/copyright.
  * Set Rules-Requires-Root: no in debian/control.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 25 Jul 2022 21:01:27 +0200
