=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/apangin/jattach
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/jattach.git
 Vcs-Git: https://git.sven.stormbind.net/jattach.git
+Rules-Requires-Root: no
 
 Package: jattach
 Architecture: any
