=== debian/watch ===
version=4
https://github.com/apangin/jattach/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
