=== debian/changelog ===
jattach (2.2-2) unstable; urgency=medium

  * d/control: Drop Rules-Requires-Root: no, it's the default now.
  * Update to Standards-Version 4.7.3, remove the Priority field.
  * d/watch: Update to version 5.
  * Prefix dh configuration files with binary package name.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 06 Jan 2026 23:13:26 +0100

jattach (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 no changes required.
  * Update debian/copyright, remove years for debian/* content.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 16 Jan 2024 13:49:13 +0100
